Ubuntu-insights: ubuntu-insights(1)

NAME
ubuntu-insights-consent - Manage or get user consent state

SYNOPSIS
ubuntu-insights consent sources ⟨optional arguments⟩ [flags]

DESCRIPTION
Manage or get user consent state for data collection and upload.

If no sources are provided, the default consent state is managed.

OPTIONS
-h, --help[=false]
    help for consent

-s, --state=""
    the consent state to set (true or false)

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    use a specific configuration file

--consent-dir=""
    the base directory of the consent state files

--insights-dir=""
    the base directory of the insights report cache

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv)

SEE ALSO
ubuntu-insights(1)

HISTORY
5-Jan-2026 Auto generated by spf13/cobra